MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000872VCMIGUI - Adventure Mappublic2012-02-26 13:282013-07-15 08:11
Reportermajaczek 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS VersionWindows 7
Product Version0.87b 
Target VersionFixed in Version0.93 
Summary0000872: Bugs with pandora box which has multiple rewards
Descriptionif we open pandora box which has exp reward (and we level up) and creature reward, we get lvlup dialog over garrison dialog, and server doesn't allow to get the creature reward. it may work properly if we have enough slots for reward creatures.
Steps To Reproduceplay map vcmi 2011 tests (spellcasting) and with first hero open pandora box
TagsNo tags attached.
Attached Files

- Relationships
related to 0001263closedTow Joiners do not dissappear from adventure map 
related to 0001271closedTow Crash after winning battle at Pandora's Box and gaining various bonuses from it 
related to 0001213resolvedWarmonger Rewards from Pandora may not fit on a screen 

-  Notes
(0003581)
Zamolxis (viewer)
2013-05-28 19:35

This seems to work notably better in 0.92b as compared to 0.92. But it's best to check again in 0.93 as at least one other Pandora crash bug was fixed meanwhile.
(0003752)
Warmonger (administrator)
2013-07-15 08:11

Not reproductible, picking up creatures was fine. Probably fixed thanks to query rewrite.

- Issue History
Date Modified Username Field Change
2012-02-26 13:28 majaczek New Issue
2012-02-27 06:20 Warmonger Status new => assigned
2012-02-27 06:20 Warmonger Assigned To => Warmonger
2013-04-01 09:45 Warmonger Relationship added related to 0001213
2013-04-01 09:46 Warmonger Category Mechanics - Adventure Map => GUI - Adventure Map
2013-04-27 08:18 Warmonger Relationship added related to 0001263
2013-05-28 18:48 Warmonger Relationship added related to 0001271
2013-05-28 19:35 Zamolxis Note Added: 0003581
2013-07-15 08:11 Warmonger Note Added: 0003752
2013-07-15 08:11 Warmonger Status assigned => resolved
2013-07-15 08:11 Warmonger Fixed in Version => 0.93
2013-07-15 08:11 Warmonger Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean